<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('export_requests', function (Blueprint $table) {
            $table->unsignedBigInteger('export_ship_to_address_id')->nullable()->after('id');
            $table->foreign('export_ship_to_address_id')->references('id')->on('export_ship_to_addresses');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('export_requests', function (Blueprint $table) {
            $table->dropForeign(['export_ship_to_address_id']);
            $table->dropColumn('export_ship_to_address_id');
        });
    }
};
